Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: откат пакетов на старые версии  (Прочитано 10744 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Xts

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1677
  • Arch Linux, Kernel 4.20
    • Просмотр профиля
игрался с дровами на видео и решил попробовать дрова из xorg-edgers.
в итоге когда сносил драйвер и переставлял свободные, а именно командой
sudo apt-get install --reinstall libgl1-mesa-glx libgl1-mesa-driобновилась mesa и другие пакеты до новых версий, а именно до 9.2, а в 13.04 они должны быть 9.1.1
собственно как вернуть их назад?обновилось штук 15 пакетов наверно
ASUS Sabertooth 990FX R2.0
AMD FX-8350 x8@5Ггц, AMD Memory 16Гб
AMD Radeon R9 290X

Оффлайн neon1ks

  • Старожил
  • *
  • Сообщений: 1183
    • Просмотр профиля
    • Блог молодого разработчика
Re: откат пакетов на старые версии
« Ответ #1 : 01 Июня 2013, 19:14:58 »
Можно в ручную, через synaptic. Там можно в свойствах пакета установить используемую версию.

Оффлайн Xts

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1677
  • Arch Linux, Kernel 4.20
    • Просмотр профиля
Re: откат пакетов на старые версии
« Ответ #2 : 01 Июня 2013, 20:33:45 »
neon1ks,
это я знаю, но там зависитостей куча, но когда разобрал их и попробовал применить изменения то он выдал кучу ошибок что то с held пакетами...
ASUS Sabertooth 990FX R2.0
AMD FX-8350 x8@5Ггц, AMD Memory 16Гб
AMD Radeon R9 290X

Оффлайн neon1ks

  • Старожил
  • *
  • Сообщений: 1183
    • Просмотр профиля
    • Блог молодого разработчика
Re: откат пакетов на старые версии
« Ответ #3 : 01 Июня 2013, 20:40:47 »
В голову пришла мысль, в "центре приложений Ubuntu" введется история изменений. Там можно посмотреть какие именно пакеты были обновлены, удалить их и поставить те которые были до этого... Затем отключить xorg-edgers.

Оффлайн Xts

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1677
  • Arch Linux, Kernel 4.20
    • Просмотр профиля
Re: откат пакетов на старые версии
« Ответ #4 : 01 Июня 2013, 21:21:22 »
neon1ks,
удалить не получится, тянет кучу других пакетов за собой(
ASUS Sabertooth 990FX R2.0
AMD FX-8350 x8@5Ггц, AMD Memory 16Гб
AMD Radeon R9 290X

Оффлайн neon1ks

  • Старожил
  • *
  • Сообщений: 1183
    • Просмотр профиля
    • Блог молодого разработчика
Re: откат пакетов на старые версии
« Ответ #5 : 01 Июня 2013, 21:28:13 »
Для начала точно нужно отключить репозиторий:
sudo add-apt-repository -r ppa:xorg-edgers/ppa

Оффлайн arrecck

  • Старожил
  • *
  • Сообщений: 1725
    • Просмотр профиля
Re: откат пакетов на старые версии
« Ответ #6 : 01 Июня 2013, 22:07:47 »
удалите левые репозитарии
sudo apt-get update
sudo apt-get -f install
должны автоматом поставиться актуальные версии

указание версии пакета
apt-get install пакет=версия

Оффлайн Xts

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1677
  • Arch Linux, Kernel 4.20
    • Просмотр профиля
Re: откат пакетов на старые версии
« Ответ #7 : 02 Июня 2013, 08:48:42 »
neon1ks,
это ясно понятно, отрубил после того как тупанул и оттуда обновился.
arrecck,
с чего б им ставиться актуальными то?они ж не удалены, а стоят просто новее и все.
да и apt-get -f install говорит что все хорошо.
ASUS Sabertooth 990FX R2.0
AMD FX-8350 x8@5Ггц, AMD Memory 16Гб
AMD Radeon R9 290X

Оффлайн ArcFi

  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: откат пакетов на старые версии
« Ответ #8 : 02 Июня 2013, 09:26:23 »
Как-то так:
{apt-get|aptitude} install pkg1=ver1 pkg2=ver2 pkg3=ver3 ...

 

Страница сгенерирована за 0.034 секунд. Запросов: 25.